=== debian/changelog ===
crispy-doom (5.11.1-1) unstable; urgency=medium

  * New upstream version 5.11.1
  * Improve crispy-hexen integration.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 17 Feb 2022 09:23:22 +0100
