=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -82,4 +82,10 @@
             wi_stuff.c      wi_stuff.h)
 
 target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(doom SDL2::SDL2 SDL2::mixer SDL2::net)
+target_link_libraries(doom SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(doom SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries(doom SDL2::net)
+endif()
