=== src/setup/CMakeLists.txt ===
--- 
+++ 
@@ -16,4 +16,7 @@
             txt_mouseinput.c    txt_mouseinput.h)
 
 target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(setup textscreen SDL2::SDL2 SDL2::mixer)
+target_link_libraries(setup textscreen SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(setup SDL2::mixer)
+endif()
