=== debian/changelog ===
crispy-doom (5.12.0-1) unstable; urgency=medium

  * New upstream version 5.12.0
  * Try to shut up lintian.
  * Bump Standards-Version to 4.6.1.
  * Update my Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 01 Sep 2022 22:26:35 +0200
