=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsdl2-net-dev,
  libsdl2-dev,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
 Homepage: https://github.com/fabiangreffrath/crispy-doom
