=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/,dversionmangle=s/\+dfsg\d//" \
    https://github.com/fabiangreffrath/@PACKAGE@/releases \
    https://github.com/fabiangreffrath/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
