=== pcsound/CMakeLists.txt ===
--- 
+++ 
@@ -10,5 +10,5 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(pcsound SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(pcsound SDL2::mixer)
+    target_link_libraries(pcsound SDL2_mixer::SDL2_mixer)
 endif()
