=== src/heretic/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
             p_ceilng.c
             p_doors.c
             p_enemy.c
+            p_extnodes.c        p_extnodes.h
             p_floor.c
             p_inter.c
             p_lights.c
@@ -49,6 +50,7 @@
             r_main.c
             r_plane.c
             r_segs.c
+            r_swirl.c           r_swirl.h
             r_things.c
             sb_bar.c
             sounds.c            sounds.h
@@ -57,8 +59,8 @@
 target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(heretic textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(heretic SDL2::mixer)
+    target_link_libraries(heretic SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(heretic SDL2::net)
+    target_link_libraries(heretic SDL2_net::SDL2_net)
 endif()
