=== debian/changelog ===
crispy-doom (6.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Aug 2023 09:37:03 -0700

crispy-doom (6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:02:23 +0200

crispy-doom (6.0-1) unstable; urgency=medium

  * Update debian/watch file.
  * New upstream version 6.0.
  * Welcome back, Crispy Strife!
  * Provide alternatives for the three non-Doom game engines
    (Heretic, Hexen, Strife)
  * Update Crispy Doom Homepage field.
  * Bump Standards-Version to 4.6.2.
  * Bump my Debian copyright year to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 13:56:01 +0200
