=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,17 @@
 	   debian/crispy-doom/usr/share/man/man5/crispy_heretic.cfg.5
 	mv debian/crispy-doom/usr/share/man/man5/hexen.cfg.5 \
 	   debian/crispy-doom/usr/share/man/man5/crispy_hexen.cfg.5
+	mv debian/crispy-doom/usr/share/man/man5/strife.cfg.5 \
+	   debian/crispy-doom/usr/share/man/man5/crispy_strife.cfg.5
 	# superfluous docs
 	rm -f  debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
 	       debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
 	       debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
 	rm -fr debian/crispy-doom/usr/share/doc/crispy-heretic \
-	       debian/crispy-doom/usr/share/doc/crispy-hexen
+	       debian/crispy-doom/usr/share/doc/crispy-hexen \
+	       debian/crispy-doom/usr/share/doc/crispy-strife
 	find 'debian/' -name 'crispy-server*' -delete
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
