=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -84,8 +84,8 @@
 target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(doom SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(doom SDL2::mixer)
+    target_link_libraries(doom SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(doom SDL2::net)
+    target_link_libraries(doom SDL2_net::SDL2_net)
 endif()
