=== debian/changelog ===
crispy-doom (7.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Mar 2025 13:19:08 -0700

crispy-doom (7.0-1) unstable; urgency=medium

  * New upstream version 7.0
  * Update Homepage link
  * Manpages for generic config files are not installed anymore
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Aug 2024 08:40:12 +0200
