=== debian/watch ===
version=4
https://github.com/fabiangreffrath/@PACKAGE@/tags \
https://github.com/fabiangreffrath/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
